
<div class="modal-header">
  <h4 class="modal-title">{{ tTituloModal }}</h4>
  <button class="close" type="button" aria-label="Close" (click)="activeModal.close({'Resultado' : 'N'})"><span aria-hidden="true">&times;</span></button>
</div>
<div class="modal-body">
  <div class="container-fluid">
    <div class="form-row">
      <div class="form-group col-8">
        <h5>[ {{ tArticuloModal.Codarticulo }} ] - {{ tArticuloModal.Descripcion }}</h5>
      </div>
      <div class="form-group col-2">
        <label class="h6"><small class="form-label">Maneja Tallas</small></label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-box"></i></span></div>
          <label class="ControlInput--Label" size-label="sm">{{ ManejaTallas() }} </label>
        </div>
      </div>
      <div class="form-group col-2">
        <label class="h6"><small class="form-label">Maneja Intermedias</small></label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-box"></i></span></div>
          <label class="ControlInput--Label" size-label="sm">{{ ManejaTallasInt() }}</label>
        </div>
      </div>
    </div>
    <hr/>
    <div class="form-row">
      <div class="form-group col-10">
        <label class="h6 form-label">Tipo de ajuste</label>
        <div class="input-group">
          <select class="custom-select custom-select-sm" [(ngModel)]="tTipoAjusteActual" (change)="CambiarTipoAjuste()">
            <option *ngFor="let tTipoFor of tTiposAjustesInv" [ngValue]="tTipoFor">[ {{ tTipoFor.Codtipoajusteinv }} ] - {{ tTipoFor.Descripcion }}</option>
          </select>
        </div>
      </div>
      <div class="form-group col-2">
        <label class="h6 form-label">Operación</label>
        <div class="input-group">
          <label class="form-control h6 text-center form-control-sm">{{ tTipoAjusteActual.Operacion }}</label>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-4">
        <div class="form-row">
          <div class="form-group col-12">
            <label class="form-label h6">Talla</label>
            <div class="ControlInput">
              <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-dollar-sign"></i></span></div>
              <input class="ControlInput--Input" type="text" placeholder="Talla" [(ngModel)]="tAjusteInvActual.Talla" [disabled]="tBloquearTallas" size="sm"/>
              <div class="ControlInput--ContenedorChecbox">
                <div class="ControlInput--ContenedorChecbox-Div">
                  <input class="ControlInput--ContenedorChecbox-Check" id="chkTallaInt" type="checkbox" placement="top" ngbTooltip="Talla intermedia" [(ngModel)]="tTallaInt" [disabled]="tBloquearTallasInt"/>
                  <label class="custom-control-label h6" for="chkTallaInt"></label>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12">
            <label class="form-label h6">Cantidad</label>
            <div class="ControlInput">
              <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-calculator"></i></span></div>
              <input class="ControlInput--Input" type="number" SoloNumeros="number" placeholder="Cantidad" required="" name="Cantidad" [(ngModel)]="tAjusteInvActual.Cantidad" size="sm"/>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12">
            <label class="h6 form-label h6">Almacén </label>
            <div class="input-group">
              <select class="custom-select custom-select-sm" [(ngModel)]="tAlmacenActual" (change)="CambiarAlmacen()">
                <option *ngFor="let tAlmacenFor of tAlmacenes" [ngValue]="tAlmacenFor">[ {{ tAlmacenFor.Codalmacen }} ] - {{ tAlmacenFor.Descripcion }}                    </option>
              </select>
            </div>
          </div>
        </div>
      </div>
      <div class="form-group col-8">
        <div class="form-row">
          <div class="form-group col-12">
            <label class="form-label h6">Comentario</label>
            <textarea class="form-control" rows="3" [(ngModel)]="tAjusteInvActual.Comentario" placeholder="Comentario"></textarea>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="modal-footer">
  <button class="btn btn-primary btn-icon-split" type="button" (click)="Agregar()"><span class="icon text-white-50"><i class="fas fa-check"></i></span><span class="text">Realizar ajuste </span></button>
  <button class="btn btn-secondary btn-icon-split" type="button" (click)="activeModal.close({'Resultado' : 'S'})"><span class="icon text-white-50"><i class="fas fa-times"></i></span><span class="text">Cancelar </span></button>
</div>